{#
/**
 * List with comment, dropdown layout, Html
 *
 * @var $sOptions         : the select options, generated with the view rows/option.php
 *
 * @var $name
 * @var $id
 * @var $checkconditionFunction
 * @var $show_noanswer
 * @var $label_text
 * @var $kpclass
 * @var $tarows
 * @var $maxoptionsize
 * @var $has_comment_saved
 * @var $comment_saved      htmlspecialchars( $_SESSION['survey_'.Yii::app()->getConfig('surveyID')][$fname2])
 * @var $value     $_SESSION['survey_'.Yii::app()->getConfig('surveyID')][$ia[1]] /// SHOULD BE CALL VALUE
 * @var sgq : basename for input
 * @todo : control if dropdown need labelledby or if labelledby in group is OK. Think automatic system return needed ...
 */
#}

<div class="ls-answers row" role="group" aria-labelledby="ls-question-text-{{ basename }}">

    <div class="answer-item dropdown-item col-sm-6 col-xs-12">
        <!-- This need a label :/ -->
        <select
            class="select form-control"
            name="{{ name }}"
            id="{{ id }}"
        >
            {% if show_noanswer %}
                <option class="noanswer-item" value="">
                    {{ gT('Please choose...') }}
                </option>
            {% endif %}
            {# rows/option.php #}
            {{ sOptions }}
        </select>
        <!-- Input copy for EM : default is radio and EM use id -->
        <input type="hidden" name="java{{ name }}" id="java{{ name }}" value="{{ value }}" disabled />
    </div>

    <div class="answer-item text-item col-sm-6 col-xs-12">
        <label for="answer{{ name  }}comment">
            {{ processString(label_text) }}:
        </label>
        <textarea
            class="form-control textarea {{ kpclass }}"
            name="{{ name }}comment"
            id="answer{{ name  }}comment"
            rows="{{ tarows }}"
            cols="{{ maxoptionsize }}"
        >{{ comment_saved|escape }}</textarea>

    </div>
</div>
